package tutorialJava.examenes.examen20241213;

import tutorialJava.Utils;

public class Mamifero extends Animal {

	private String tipoAlimentacion;
	
	public Mamifero() {
		super();
	}
	
	public Mamifero(String nombre) {
		super(nombre);
		
		if (Utils.obtenerNumeroAzar(0, 1) == 0) { // Carnívoro
			this.tipoAlimentacion = "Carnívoro";
		}
		else { // Herbívoro
			this.tipoAlimentacion = "Herbívoro";
		}
	}


	@Override
	public float calcularEspacio() {
		return this.peso * 3;
	}

	public String getTipoAlimentacion() {
		return tipoAlimentacion;
	}

	public void setTipoAlimentacion(String tipoAlimentacion) {
		this.tipoAlimentacion = tipoAlimentacion;
	}

	@Override
	public String toString() {
		return "Mamifero [tipoAlimentacion=" + tipoAlimentacion + ", nombre=" + nombre + ", peso=" + peso
				+ ", calcularEspacio()=" + calcularEspacio() + "]";
	}

	
}







